PDA

Visualizza la versione completa : [Gentoo] problemi localizzazione


Exploit
06-01-2005, 17:26
A me sembrano giusti i settaggi fatti in: /etc/profile, /etc/make.conf, /etc/profile.env ma continua a restituirmi errori di questo tipo:

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = "it_IT@euro",
LC_ALL = "it_IT@euro",
LC_CTYPE = "it_IT@euro",
LANG = "it_IT@euro"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").


oppure:

ExploiTT root # gaim

(process:7709): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified


(gaim:7709): Gdk-CRITICAL **: file gdkdisplay-x11.c: line 360 (gdk_display_get_name): assertion `GDK_IS_DISPLAY (display)' failed

** (gaim:7709): WARNING **: cannot open display: unset
ExploiTT root #

Che cavolo di errori sono, come li risolvo :master:

Exploit
06-01-2005, 18:26
Risolto:

Localizzata perfettamente ....

Importante notare che ...
1) Se le vostr glibc sono di questa versione
Codice:

sys-libs/glibc-2.3.4.20040808-r1

quella che attualmente si trova sotto
Codice:
x86

allora la USE
Codice:

userlocales

non funzionerÓ.

Invece con la versione
Codice:

sys-libs/glibc-2.3.4.20041102

la USE
Codice:

userlocales
funzionerÓ.
Quindi dopo aver settato in modo adeguato il vostro
Codice:
/etc/locales.build
come segue
Codice:
nano /etc/locales.build
# This file names the list of locales to be built when glibc is installed.
# The format is <locale>/<charmap>, where <locale> is a locale from the
# /usr/share/i18n/locales directory, and <charmap> is name of one of the files
# in /usr/share/i18n/charmaps/. All blank lines and lines starting with # are
# ignored. Here is an example:
# en_US/ISO-8859-1


it_IT/ISO-8859-1
it_IT.UTF-8/UTF-8
it_IT@euro/ISO-8859-15
en_US/ISO-8859-1
en_US.UTF-8/UTF-8

ed aver aggiunto all
Codice:
/etc/profile

la linea
Codice:
export LANG = "it_IT@euro"

potete tranquillamente emergere le glibc della branca unstable e compilarle ....[CODE]

Exploit
06-01-2005, 18:33
Adesso tutti i programmi vengono scaricati in "ITA" :fighet:

Finalmente direi......son diventato matto :dh˛:

A chi servisse le info le ho prese Qui (http://www.opensourcemania.it/modules.php?name=Forums&file=viewtopic&p=4501&sid=5fb1f09269035ad99a76b293bff0a7a5#4500)

Loading